moDrawPage2 = {};

function moDrawPage2:setOpenPage(self)	
	local posX = moSetGetGui.page[2].posX+0.001;
	local posY = moSetGetGui.page[2].posY;
	local size = moSetGetGui.page[2].size;
	local widthSettings = moSetGetGui.buttonGfxWidth1*moSetGetGui.zoomOutInTemp*4;
	local heightSettings = moSetGetGui.buttonGfxHeight1*moSetGetGui.zoomOutInTemp*4;	
	local height = moSetGetGui.buttonGfxHeight1*(size*1000);
	local heightDefault = moSetGetGui.buttonGfxHeight1*(size*1000);
	local distanceDif = 0.02;
	local page2Length = moSetGetGui.buttonGfxWidth1*(size*1000/1.5)*(50+moSetGetGui.screenAspectRatio); --moSetGetGui.buttonGfxWidth1*(size*1000/2)*(moGeneralSettings.lengthFruitName);	
	local width = page2Length+distanceDif;	
	local currentPosY = posY;	
	function nextLine(setHeight, posYnew, setLine, posYline, widthLine, heightLine, onlyLine)
		if setLine then
			moSetGetGui:setOverlay(self, moSetGetGui["designLine"], posX-0.001, currentPosY-(posYline), widthLine, heightLine);
			moSetGetGui["designLine"]:render();
			if onlyLine then return;end;
		end;		
		if setHeight then height = height+(heightDefault)+posYnew;end; --height+size+posNew;
		currentPosY = currentPosY-(heightDefault)-posYnew; --posY-(size+posYnew);		
	end;	
	moSetGetGui["designGround"]:render();
	--settings
	moSetGetGui["slotPos"]:setPosition(posX, posY);
	moSetGetGui["slotPos"]:render();
	moSetGetGui["slotNextL"]:setPosition(posX+(widthSettings*2), posY);
	moSetGetGui["slotNextL"]:render();
	moSetGetGui["slotNextR"]:setPosition(posX+(widthSettings*4), posY);
	moSetGetGui["slotNextR"]:render();
	setTextBold(true);
	setTextColor(unpack(moGuiMiniPdaSlots.siloColor));
	local sizeTemp = 0.011;
	if size < sizeTemp then sizeTemp = size;end;
	renderText(posX+(widthSettings*3.2), posY+0.0035, sizeTemp, tostring(moSetGetGui.page[2].switch));	
	--settings
	local dayMission = g_currentMission.environment.currentDay;
	if moSetGetGui.page[2].switch == 1 then
		--settings
		local isActive = false;
		local page2Text = "";
		if MultiOverlayV2.isMp or MultiOverlayV2.loadHostServer then
			setTextColor(unpack(moGuiMiniPdaSlots.warningColor3));
			if not MultiOverlayV2.event.greatDemand_s then				
				page2Text = moLanguageXml:getTxt("d_demandoffserver", 50, "disabled Server");
			else
				if not MultiOverlayV2.event.greatDemand_c then
					page2Text = moLanguageXml:getTxt("d_demandoffclient", 50, "disabled Client")
				else
					setTextColor(unpack(moGuiMiniPdaSlots.inactiveColor));
					isActive = true;
					page2Text = moLanguageXml:getTxt("d_greatdemand", 50, "GreatDemand")
				end;
			end;
		else
			if not MultiOverlayV2.event.greatDemand_c then
				setTextColor(unpack(moGuiMiniPdaSlots.warningColor3));
				page2Text = moLanguageXml:getTxt("d_demandoffclient", 50, "disabled Client")
			else
				setTextColor(unpack(moGuiMiniPdaSlots.inactiveColor));
				isActive = true;
				page2Text = moLanguageXml:getTxt("d_greatdemand", 50, "GreatDemand")
			end;
		end;				
		--settings
		if isActive then			
			local greatDemand = 0;
			if moDemand ~= nil and table.getn(moDemand) > 2 then greatDemand = moDemand.isRunning;setTextColor(unpack(moGuiMiniPdaSlots.activeColor));end;
			renderText(posX+(widthSettings*5.2), posY+0.0035, sizeTemp, tostring(page2Text).. ": ".. tostring(greatDemand));
			nextLine(true, 0.005, true, 0.004, width, 0.001);
			if moDemand.allDemands ~= 0 then
				for a=1, moDemand.allDemands do
					if moDemand[a] ~= nil and moDemand[a].isRunning ~= nil then
						if moDemand[a].isRunning then 
							setTextColor(unpack(moGuiMiniPdaSlots.warningColor0));
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("station", nil, "Station")).. tostring(moDemand[a].stationName));
							nextLine(true, 0.007, false);
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("fruit", nil, "Fruit")).. ": ".. tostring(moDemand[a].fillTypeName));
							nextLine(true, 0.007, false);
							local demandMultiplier = string.format("%.2f", Utils.getNoNil(moDemand[a].demandMultiplier,0));
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_factor", nil, "Factor")).. ": x".. tostring(demandMultiplier));
							nextLine(true, 0.007, false);
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("times", nil, "Times")).. ": ".. tostring(moDemand[a].demandDuration).. "h");
							nextLine(true, 0.007, true, 0.005, width, 0.001);
						else
							setTextColor(unpack(moGuiMiniPdaSlots.warningColor2));
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("station", nil, "Station")).. tostring(moDemand[a].stationName));
							nextLine(true, 0.007, false);
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("fruit", nil, "Fruit")).. ": ".. tostring(moDemand[a].fillTypeName));
							nextLine(true, 0.007, false);
							local day = moLanguageXml:getTxt("day".. math.mod(moDemand[a].startDay, 7), nil, "Day");
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("day", nil, "Day")).. ": ".. tostring(moDemand[a].startDay).. tostring(day).. " ".. tostring(moLanguageXml:getTxt("at", nil, "at")).. " ".. tostring(moDemand[a].startDay-dayMission).. " ".. tostring(moLanguageXml:getTxt("days", nil, "Days")));
							nextLine(true, 0.007, false);
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("hours", nil, "Hours")).. ": ".. tostring(moDemand[a].startHour).. ":00");
							nextLine(true, 0.007, false);
							local demandMultiplier = string.format("%.2f", Utils.getNoNil(moDemand[a].demandMultiplier,0));
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_factor", nil, "Factor")).. ": x".. tostring(demandMultiplier));
							nextLine(true, 0.007, false);
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("times", nil, "Time")).. ": ".. tostring(moDemand[a].demandDuration).. "h");
							nextLine(true, 0.007, true, 0.005, width, 0.001);
						end;
					end;
				end;
			else
				setTextColor(unpack(moGuiMiniPdaSlots.warningColor2));
				renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_demandnotfound", nil, "Not Found GreatDemand")));
				nextLine(true, 0.007, false);
			end;
		else
			renderText(posX+(widthSettings*5.2), posY+0.0035, sizeTemp, tostring(page2Text));
			nextLine(true, 0.005, true, 0.004, width, 0.001);
		end;		
	end;
	
	if moSetGetGui.page[2].switch == 2 then
		--settings
		local isActive = false;
		local page2Text = "";
		if MultiOverlayV2.isMp or MultiOverlayV2.loadHostServer then
			setTextColor(unpack(moGuiMiniPdaSlots.warningColor3));
			if not MultiOverlayV2.event.discount_s then				
				page2Text = moLanguageXml:getTxt("d_discountoffserver", 50, "disabled Server");
			else
				if not MultiOverlayV2.event.discount_c then
					page2Text = moLanguageXml:getTxt("d_discountoffclient", 50, "disabled Client")
				else
					setTextColor(unpack(moGuiMiniPdaSlots.warningColor0));				
					isActive = true;
					page2Text = moLanguageXml:getTxt("d_greatdemand", 50, "GreatDemand")
				end;
			end;
		else
			if not MultiOverlayV2.event.discount_c then
				setTextColor(unpack(moGuiMiniPdaSlots.warningColor3));
				page2Text = moLanguageXml:getTxt("d_discountoffclient", 50, "disabled Client")
			else
				setTextColor(unpack(moGuiMiniPdaSlots.warningColor0));
				isActive = true;				
				page2Text = moLanguageXml:getTxt("d_discount", 50, "Discount")
			end;
		end;				
		--settings		
		if isActive then
			renderText(posX+(widthSettings*5.2), posY+0.0035, sizeTemp, tostring(page2Text));
			nextLine(true, 0.005, true, 0.004, width, 0.001);
			local greatSales = 0;
			if moSales ~= nil and table.getn(moSales) > 2 then greatSales = moSales.isRunning;setTextColor(unpack(moGuiMiniPdaSlots.activeColor));end;
			renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_brandbuy", nil, "BrandBuy")).. ": ".. tostring(greatSales));
			nextLine(true, 0.005, true, 0.004, width, 0.001);		
			if moSales.allSales ~= 0 then
				for a=1, moSales.allSales do					
					if moSales[a] ~= nil and moSales[a].isRunning ~= nil then
						if moSales[a].isRunning then 
							setTextColor(unpack(moGuiMiniPdaSlots.warningColor0));
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_brandname", nil, "BrandName")).. ": ".. tostring(moSales[a].brandName));
							nextLine(true, 0.007, false);
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_brandtype", nil, "BrandType")).. ": ".. tostring(moSales[a].brandTypeName).. " (".. tostring(moSales[a].brandCategory).. ")");
							nextLine(true, 0.007, false);
							local discount = string.format("%.0f", Utils.getNoNil(moSales[a].discount,0));
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_discount", nil, "Discount")).. ": -".. tostring(discount).. "%");
							nextLine(true, 0.007, false);
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_brandprice", nil, "BrandPrice")).. ": ".. tostring(g_i18n:formatMoney(moSales[a].oldPrice)).. " (".. tostring(g_i18n:formatMoney(moSales[a].newPrice)).. ")");
							nextLine(true, 0.007, false);
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("times", nil, "Time")).. ": ".. tostring(moSales[a].saleDuration).. "h");
							nextLine(true, 0.007, true, 0.005, width, 0.001);
						else
							setTextColor(unpack(moGuiMiniPdaSlots.warningColor2));
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_brandname", nil, "BrandName")).. ": ".. tostring(moSales[a].brandName));
							nextLine(true, 0.007, false);
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_brandtype", nil, "BrandType")).. ": ".. tostring(moSales[a].brandTypeName).. " (".. tostring(moSales[a].brandCategory).. ")");
							nextLine(true, 0.007, false);
							local day = moLanguageXml:getTxt("day".. math.mod(moSales[a].startDay, 7), nil, "Day");							
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("day", nil, "Day")).. ": ".. tostring(moSales[a].startDay).. tostring(day).. " ".. tostring(moLanguageXml:getTxt("at", nil, "at")).. " ".. tostring(moSales[a].startDay-dayMission).. " ".. tostring(moLanguageXml:getTxt("days", nil, "Days")));
							nextLine(true, 0.007, false);					
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("hours", nil, "Hours")).. ": ".. tostring(moSales[a].startHour).. ":00");
							nextLine(true, 0.007, false);
							local discount = string.format("%.0f", Utils.getNoNil(moSales[a].discount,0));
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_discount", nil, "Discount")).. ": -".. tostring(discount).. "%");
							nextLine(true, 0.007, false);
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_brandprice", nil, "BrandPrice")).. ": ".. tostring(g_i18n:formatMoney(moSales[a].oldPrice)).. " (".. tostring(g_i18n:formatMoney(moSales[a].newPrice)).. ")");
							nextLine(true, 0.007, false);					
							renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("times", nil, "Time")).. ": ".. tostring(moSales[a].saleDuration).. "h");
							nextLine(true, 0.007, true, 0.005, width, 0.001);
						end;
					end;
				end;
			end;
			if moBrandSales ~= nil then
				setTextColor(unpack(moGuiMiniPdaSlots.inactiveColor));
				local brandSales = 0;
				if moBrandSales ~= nil then brandSales = 1;setTextColor(unpack(moGuiMiniPdaSlots.activeColor));end;
				renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_brandsales", nil, "BrandSales")).. ": ".. tostring(brandSales));
				nextLine(true, 0.007, true, 0.005, width, 0.001);								
				if moBrandSales.isRunning ~= nil then
					if moBrandSales.isRunning then 
						setTextColor(unpack(moGuiMiniPdaSlots.warningColor0));
						renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_brandname", nil, "BrandName")).. ": ".. tostring(moBrandSales.brandName));
						nextLine(true, 0.007, false);	
						renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_brandtype", nil, "BrandType")).. ": ".. tostring(moBrandSales.brandTypeName).. " (".. tostring(moBrandSales.brandCategory).. ")");
						nextLine(true, 0.007, false);	
						local discount = string.format("%.0f", Utils.getNoNil(moBrandSales.discount,0));
						renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_discount", nil, "Discount")).. ": +".. tostring(discount).. "%");
						nextLine(true, 0.007, false);	
						renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_brandprice", nil, "BrandPrice")).. ": ".. tostring(g_i18n:formatMoney(moBrandSales.oldPrice)).. " (".. tostring(g_i18n:formatMoney(moBrandSales.newPrice)).. ")");
						nextLine(true, 0.007, false);					
						renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("times", nil, "Time")).. ": ".. tostring(moBrandSales.saleDuration).. "h");
						nextLine(true, 0.007, true, 0.005, width, 0.001);
					else
						setTextColor(unpack(moGuiMiniPdaSlots.warningColor2));
						renderText(posX, currentPosY, size, tostring(moBrandSales.brandName));
						nextLine(true, 0.007, false);	
						renderText(posX, currentPosY, size, tostring(moBrandSales.brandTypeName).. " (".. tostring(moBrandSales.brandCategory).. ")");
						nextLine(true, 0.007, false);
						local day = moLanguageXml:getTxt("day".. math.mod(moBrandSales.startDay, 7), nil, "Day");							
						renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("day", nil, "Day")).. ": ".. tostring(moBrandSales.startDay).. tostring(day).. " ".. tostring(moLanguageXml:getTxt("at", nil, "at")).. " ".. tostring(moBrandSales.startDay-dayMission).. " ".. tostring(moLanguageXml:getTxt("days", nil, "Days")));
						nextLine(true, 0.007, false);	
						renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("hours", nil, "Hours")).. ": ".. tostring(moBrandSales.startHour).. ":00");
						nextLine(true, 0.007, false);	
						local discount = string.format("%.0f", Utils.getNoNil(moBrandSales.discount,0));
						renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_discount", nil, "Discount")).. ": +".. tostring(discount).. "%");
						nextLine(true, 0.007, false);	
						renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_brandprice", nil, "BrandPrice")).. ": ".. tostring(g_i18n:formatMoney(moBrandSales.oldPrice)).. " (".. tostring(g_i18n:formatMoney(moBrandSales.newPrice)).. ")");
						nextLine(true, 0.007, false);	
						renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("times", nil, "Time")).. ": ".. tostring(moBrandSales.saleDuration).. "h");
						nextLine(true, 0.007, true, 0.005, width, 0.001);
					end;
				end;				
			end;
			if moSales.allSales == 0 and moBrandSales.isRunning == nil then
				setTextColor(unpack(moGuiMiniPdaSlots.warningColor2));
				renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("d_discountnotfound", nil, "Not Found Discount")));
				nextLine(true, 0.007, false);
			end;
		else
			renderText(posX+(widthSettings*5.2), posY+0.0035, sizeTemp, tostring(page2Text));
			nextLine(true, 0.005, true, 0.004, width, 0.001);
		end;		
	end;
	moSetGetGui:setOverlay(self, moSetGetGui["designGround"], posX-0.001, currentPosY, width, height+heightSettings);
	moMouseClickAreas.dragDropPos["page2"] = {width=width, height=height+heightSettings};
	setTextBold(false);
	setTextColor(false);
	setTextAlignment(false);
	renderText(false);	
end;